If split originating staff settings are enabled, originatingStaffIds and originatingStaffId cannot be updated
When updating via items, client role items and their sub-items must contain at least one item (cannot be empty), while non-client role items and their sub-items can be empty arrays to remove all items
Unique identifier of the matter type associated with the matter.
Matter types define what information can be saved to the matter, relevant to that area of law and state / location.
A pre-configured list of matter types can be obtained via the 'GET /mattertypes' API.
'Lead' matter types are different from the standard matter types used when creating a 'Matter'.
Use the 'Type' query parameter in the 'GET /mattertypes' API call to get 'Lead' specific matter types.
Example:
"009f778f-83df-454a-b344-768a862a7e55"
description
string | null
Brief description of the matter.
Example:
"This is a brief description for the matter"
status
string | null
Current status of matter.
Possible values: Open, Pending, Closed, Deleted or Cancelled.
Example:
"Open"
dateOpened
string<date-time> | null
Date when the matter was opened. This can be backdated if required.
Example:
"2022-04-23T14:00:00Z"
openedDate
string<date-time> | null
Date the matter was opened. This can be backdated if required.
Example:
"2022-04-23T14:00:00Z"
closedDate
string<date-time> | null
Date the matter was closed. This can be backdated if required.
Example:
"2022-04-23T14:00:00Z"
leadOpenedDate
string<date-time> | null
Date the lead was opened. This can be backdated if required.
Only applies if isLead is true.
Example:
"2022-04-23T14:00:00Z"
leadClosedDate
string<date-time> | null
Date the lead was closed. This can be backdated if required.
Only applies if isLead is true.
Example:
"2022-04-23T14:00:00Z"
leadClosedReason
string | null
Reason the lead was closed.
Only applies if isLead is true.
Example:
"No longer interested"
referralType
string | null
Referral Type of the matter.
Possible values are different per region.
Example:
"Google"
referrerId
string | null
Contact id of the person that referred the matter.
Example:
"97bbe49f-6460-4bfc-b287-34ddfdbb81ef"
referralAgreementFeeType
string | null
The referral agreement fee type.
Possible values: %, Flat fee, Other
referralAgreementFee
number<double> | null
The referral agreement fee value.
referralAgreementFeeComment
string | null
The referral agreement fee comment.
personResponsibleStaffId
string | null
Staff id of the person responsible for the matter (if applicable).
Example:
"c85d28cb-a760-4627-aa59-0a853c2e65ed"
personAssistingStaffId
string | null
Staff id of the person assisting in the matter (if applicable).
Example:
"c85d28cb-a760-4627-aa59-0a853c2e65ed"
personAssistingStaffIds
string[] | null
Staff ids of the other persons assisting in the matter (if applicable).
Example:
["c85d28cb-a760-4627-aa59-0a853c2e65ed"]
originatingStaffId
string | null
Staff id of the originating attorney (if in US) or an Introducer (if in AU)
Example:
"c85d28cb-a760-4627-aa59-0a853c2e65ed"
originatingStaffIds
string[] | null
Staff ids of the other originating attorneys (if in US) or an Introducer (if in AU)
Required when SplitOriginatingStaffSettings is provided and enabled.
This field must be included when updating SplitOriginatingStaffSettings.
Example:
["c85d28cb-a760-4627-aa59-0a853c2e65ed"]
splitOriginatingStaffSettings
object | null
Settings for splitting originating staff members on a matter.
When enabled, this allows distribution of originating staff responsibilities across multiple staff members
using either equal splits or custom ratios. The staff IDs specified in SplitMatterStaffs must exactly
match the OriginatingStaffIds provided.
OriginatingStaffIds must be included in the same request when updating these settings.
Validation rules:
OriginatingStaffIds must be provided when this setting is enabled
Staff ratios must sum to 10000 (100%) when using UseRatio split method
RemainderStaffId must be one of the staff members in the SplitMatterStaffs collection
No duplicate staff members allowed
Show child attributes
supervisorStaffId
string | null
Staff id of the supervisor of the matter.
Only supported in the UK.
Example:
"c85d28cb-a760-4627-aa59-0a853c2e65ed"
clientCode
string | null
Associates an external client code to this matter.
Only supported in AU and UK.
Example:
"Client A"
branchId
string | null
Unique identifier of the associated branch.
Example:
"c85d28cb-a760-4627-aa59-0a853c2e65ed"
branchProviderId
string | null
Unique identifier of the associated branch provider.
Example:
"c85d28cb-a760-4627-aa59-0a853c2e65ed"
clientRole
string | null
'Client' matter type representative option for the matter.
Required and only supported when converting a 'Lead' to 'Matter'.
Example:
"Buyer"
isLead
boolean
Optional boolean flag indicating if matter is a 'Lead'.
This must be set to 'false' when converting a 'Lead' to 'Matter'.
Example:
false
clientIds
string[] | null
List of unique identifiers of 'Client' contacts associated with the matter.
otherSideIds
string[] | null
List of unique identifiers of 'OtherSide' contacts associated with the matter.
items
object | null
Items associated with the matter.
Show child attributes
Response
When request is accepted. Returns a hypermedia 'Link' object of the matter to be patched.
id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Smokeball","colors":{"primary":"#f2600c","light":"#f2600c","dark":"#f2600c"},"logo":{"light":"https://mintcdn.com/smokeball/M3xU16wx3zLWrCy3/logo/light.svg?fit=max\u0026auto=format\u0026n=M3xU16wx3zLWrCy3\u0026q=85\u0026s=9742e65825b3575ca562541e0e7571d3","dark":"https://mintcdn.com/smokeball/M3xU16wx3zLWrCy3/logo/dark.svg?fit=max\u0026auto=format\u0026n=M3xU16wx3zLWrCy3\u0026q=85\u0026s=41d28476531680072164e1c91ac71a92","href":"https://www.smokeball.com"},"favicon":"https://mintcdn.com/smokeball/LxpjiDzzIUXckVg2/favicon.png?fit=max\u0026auto=format\u0026n=LxpjiDzzIUXckVg2\u0026q=85\u0026s=7230aa1ad4ca565e84539a7635af36e2","appearance":{"default":"light"},"navbar":{"links":[{"href":"https://support.smokeball.com","label":"Support"}],"primary":{"type":"button","label":"Developer Console","href":"https://console.smokeball.com"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/smokeball-com","facebook":"https://www.facebook.com/SmokeballUS","youtube":"https://www.youtube.com/c/SmokeballNews"}},"fonts":{"heading":{"family":"Poppins"},"body":{"family":"Inter"}},"styling":{"codeblocks":"dark","latex":false},"navigation":{"global":{"anchors":[{"anchor":"Marketplace","icon":"store","href":"https://marketplace.smokeball.com"},{"anchor":"Blog","icon":"newspaper","href":"https://www.smokeball.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"smokeball","hasAudioNarration":false,"actualSubdomain":"smokeball","customDomains":["docs.smokeball.com"],"gitSource":{"type":"github","owner":"smokeballdev","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afe4160603d74231fc4fed8","clientVersion":"0.0.4248","searchFilterCounts":[{"language":"default","tag":"API","count":212},{"language":"default","tag":"APIs","count":195},{"language":"default","tag":"SDK","count":40},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Matters","count":15},{"language":"default","tag":"Contacts","count":14},{"language":"default","tag":"Tasks","count":14},{"language":"default","tag":"Files","count":13},{"language":"default","tag":"Platform","count":11},{"language":"default","tag":"Bank Accounts","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"#hero-container{height:24rem;overflow:hidden}#hero-background{opacity:0.05}#hero-content{position:absolute;text-align:center;padding:0 1rem}#hero-title{font-weight:800;font-size:36px;margin:0;font-family:Poppins}#hero-description{margin-top:1rem;font-weight:400;font-size:16px;max-width:42rem;text-align:center;margin:1rem auto;font-family:Poppins}#home-search-entry{margin-top:2rem;max-width:24rem;font-family:Poppins;font-weight:700;font-size:1.1rem;letter-spacing:0.02em;border:2px solid transparent;cursor:pointer;transition:all 0.2s ease-in-out;outline:none;background-color:#FF5C00;box-shadow:0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06)}#home-search-entry:hover{background-color:#FF7A33;transform:scale(1.02);box-shadow:0 6px 8px -1px rgba(0, 0, 0, 0.15), 0 3px 6px -1px rgba(0, 0, 0, 0.08)}#search-icon{margin-right:0.75rem;mask-image:url(\"https://mintlify.b-cdn.net/v6.5.1/solid/magnifying-glass.svg\");mask-repeat:no-repeat;mask-position:center center;background-color:currentColor}#main-content-container{margin-top:2rem;margin-bottom:8rem;max-width:70rem;margin-left:auto;margin-right:auto;padding-left:1.25rem;padding-right:1.25rem}#documentation-section{margin-top:2rem;margin-bottom:2rem}#documentation-title{font-size:2rem;font-weight:800;font-family:Poppins}#partner-section{margin-top:2rem;margin-bottom:2rem}#partner-title{font-size:2rem;font-weight:800;font-family:Poppins}#partner-description{font-size:1.05rem;margin-bottom:1rem}"}]}
{"page":{"pagePath":"api-reference/matters/patch-a-matter","slug":"/api-reference/matters/patch-a-matter","pageMetadata":{"title":"Patch a matter","description":"Patches a specified matter.\r\n \r\nNote: This endpoint can also be used to update a `Lead`, convert `Lead` to `Matter` and change the `Lead`/`Matter` type.\r\n \r\nSee `Matters` documentation for more details on how to use this.\r\n\r\nThe following actions are not supported:\r\n\r\n- `items` cannot be updated where either `clientIds` and/or `otherSideIds` are being updated\r\n \r\n- `items` cannot be updated when converting a `Lead` to `Matter` or changing the `Lead`/`Matter` type\r\n \r\n- `clientRole` cannot be updated, unless converting a `Lead` to `Matter` or changing the `Lead`/`Matter` type\r\n \r\n- `Matter` cannot be converted back to `Lead`\r\n \r\n- `splitOriginatingStaffSettings` cannot be updated without also providing `originatingStaffIds` in the same PATCH request\r\n \r\n- `personAssistingStaffIds` cannot contain `personAssistingStaffId`\r\n \r\n- `originatingStaffIds` cannot contain `originatingStaffId`\r\n \r\n- If split originating staff settings are enabled, `originatingStaffIds` and `originatingStaffId` cannot be updated\r\n \r\n- When updating via `items`, client role items and their sub-items must contain at least one item (cannot be empty), while non-client role items and their sub-items can be empty arrays to remove all items","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}","href":"/api-reference/matters/patch-a-matter","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Patches a specified matter.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Note: This endpoint can also be used to update a \", _jsx(_components.code, {\n children: \"Lead\"\n }), \", convert \", _jsx(_components.code, {\n children: \"Lead\"\n }), \" to \", _jsx(_components.code, {\n children: \"Matter\"\n }), \" and change the \", _jsx(_components.code, {\n children: \"Lead\"\n }), \"/\", _jsx(_components.code, {\n children: \"Matter\"\n }), \" type.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"See \", _jsx(_components.code, {\n children: \"Matters\"\n }), \" documentation for more details on how to use this.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"The following actions are not supported:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"items\"\n }), \" cannot be updated where either \", _jsx(_components.code, {\n children: \"clientIds\"\n }), \" and/or \", _jsx(_components.code, {\n children: \"otherSideIds\"\n }), \" are being updated\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"items\"\n }), \" cannot be updated when converting a \", _jsx(_components.code, {\n children: \"Lead\"\n }), \" to \", _jsx(_components.code, {\n children: \"Matter\"\n }), \" or changing the \", _jsx(_components.code, {\n children: \"Lead\"\n }), \"/\", _jsx(_components.code, {\n children: \"Matter\"\n }), \" type\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"clientRole\"\n }), \" cannot be updated, unless converting a \", _jsx(_components.code, {\n children: \"Lead\"\n }), \" to \", _jsx(_components.code, {\n children: \"Matter\"\n }), \" or changing the \", _jsx(_components.code, {\n children: \"Lead\"\n }), \"/\", _jsx(_components.code, {\n children: \"Matter\"\n }), \" type\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"Matter\"\n }), \" cannot be converted back to \", _jsx(_components.code, {\n children: \"Lead\"\n })]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"splitOriginatingStaffSettings\"\n }), \" cannot be updated without also providing \", _jsx(_components.code, {\n children: \"originatingStaffIds\"\n }), \" in the same PATCH request\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"personAssistingStaffIds\"\n }), \" cannot contain \", _jsx(_components.code, {\n children: \"personAssistingStaffId\"\n })]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.code, {\n children: \"originatingStaffIds\"\n }), \" cannot contain \", _jsx(_components.code, {\n children: \"originatingStaffId\"\n })]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [\"If split originating staff settings are enabled, \", _jsx(_components.code, {\n children: \"originatingStaffIds\"\n }), \" and \", _jsx(_components.code, {\n children: \"originatingStaffId\"\n }), \" cannot be updated\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"\\n\", _jsxs(_components.p, {\n children: [\"When updating via \", _jsx(_components.code, {\n children: \"items\"\n }), \", client role items and their sub-items must contain at least one item (cannot be empty), while non-client role items and their sub-items can be empty arrays to remove all items\"]\n }), \"\\n\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"title":"Patch a matter","description":"Patches a specified matter.\r\n \r\nNote: This endpoint can also be used to update a `Lead`, convert `Lead` to `Matter` and change the `Lead`/`Matter` type.\r\n \r\nSee `Matters` documentation for more details on how to use this.\r\n\r\nThe following actions are not supported:\r\n\r\n- `items` cannot be updated where either `clientIds` and/or `otherSideIds` are being updated\r\n \r\n- `items` cannot be updated when converting a `Lead` to `Matter` or changing the `Lead`/`Matter` type\r\n \r\n- `clientRole` cannot be updated, unless converting a `Lead` to `Matter` or changing the `Lead`/`Matter` type\r\n \r\n- `Matter` cannot be converted back to `Lead`\r\n \r\n- `splitOriginatingStaffSettings` cannot be updated without also providing `originatingStaffIds` in the same PATCH request\r\n \r\n- `personAssistingStaffIds` cannot contain `personAssistingStaffId`\r\n \r\n- `originatingStaffIds` cannot contain `originatingStaffId`\r\n \r\n- If split originating staff settings are enabled, `originatingStaffIds` and `originatingStaffId` cannot be updated\r\n \r\n- When updating via `items`, client role items and their sub-items must contain at least one item (cannot be empty), while non-client role items and their sub-items can be empty arrays to remove all items","deprecated":null,"version":null,"openapi":"/openapi.json patch /matters/{matterId}","href":"/api-reference/matters/patch-a-matter","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/smokeball/5af3984d21ddfa7a/scripts/lib/claude-client.js","/_mintlify/custom/smokeball/4484f15c23b65054/scripts/lib/jira-client.js","/_mintlify/custom/smokeball/5079fd8276126440/scripts/lib/mdx-parser.js","/_mintlify/custom/smokeball/d3836391da5f0f6d/scripts/lib/summary-formatter.js","/_mintlify/custom/smokeball/b2629937faf7b0d7/scripts/update-release-notes.js"],"openApiReferenceData":{"operation":{"tags":["Matters"],"summary":"Patch a matter","description":"Patches a specified matter.\r\n \r\nNote: This endpoint can also be used to update a `Lead`, convert `Lead` to `Matter` and change the `Lead`/`Matter` type.\r\n \r\nSee `Matters` documentation for more details on how to use this.\r\n\r\nThe following actions are not supported:\r\n\r\n- `items` cannot be updated where either `clientIds` and/or `otherSideIds` are being updated\r\n \r\n- `items` cannot be updated when converting a `Lead` to `Matter` or changing the `Lead`/`Matter` type\r\n \r\n- `clientRole` cannot be updated, unless converting a `Lead` to `Matter` or changing the `Lead`/`Matter` type\r\n \r\n- `Matter` cannot be converted back to `Lead`\r\n \r\n- `splitOriginatingStaffSettings` cannot be updated without also providing `originatingStaffIds` in the same PATCH request\r\n \r\n- `personAssistingStaffIds` cannot contain `personAssistingStaffId`\r\n \r\n- `originatingStaffIds` cannot contain `originatingStaffId`\r\n \r\n- If split originating staff settings are enabled, `originatingStaffIds` and `originatingStaffId` cannot be updated\r\n \r\n- When updating via `items`, client role items and their sub-items must contain at least one item (cannot be empty), while non-client role items and their sub-items can be empty arrays to remove all items","operationId":"PatchMatter","parameters":["e7b0d02e-2cf6-40ff-94e3-2e26dda43905"],"requestBody":"f4decb6d-cf6a-4d9d-83f9-02eb2cb89d60","responses":{"202":"df617bbd-fe79-4b4e-a4bc-8313c7d7b06a","400":"6c02f27c-afc7-4a37-ac3f-ddb507231ddf","403":"01bfe09f-8332-4dba-8776-08aabbc157e2","404":"b4af7b92-30d4-4a4a-a865-79e6544a375e"},"method":"patch","type":"path","servers":["9cc1a8ed-beb8-4063-9b4b-88ca6a8304e6","0313fe5b-1d70-4640-ba62-536789bf8827","6a3bb7ed-506e-4d5d-8060-f4d63f19f1b7","c552891d-324d-49d4-b2b6-e8826a88a1da","7776c4fb-d6c6-4a5f-b608-dc777243c469","3a30fcfe-c69e-485e-b244-2a53c8968813"],"security":["174d6fee-2795-4ca9-a31c-90b8f8874248"],"path":"/matters/{matterId}","baseUrlOptions":["https://api.smokeball.com","https://api.smokeball.com.au","https://api.smokeball.co.uk","https://stagingapi.smokeball.com","https://stagingapi.smokeball.com.au","https://stagingapi.smokeball.co.uk"],"title":"Patch a matter","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"e7b0d02e-2cf6-40ff-94e3-2e26dda43905":{"name":"matterId","in":"path","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"content":{"application/json-patch+json":{"schema":{"type":"object","properties":{"externalSystemId":{"oneOf":[{"type":"string","description":"External system id for the matter.","example":"EXT01","uniqueKey":"externalSystemId.oneOf.0","typeLabel":"string"},{"type":"null","description":"External system id for the matter.","example":"EXT01","uniqueKey":"externalSystemId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalSystemId","typeLabel":"string | null"},"number":{"oneOf":[{"type":"string","description":"Human-friendly number assigned to matter.","example":"FUS-124","uniqueKey":"number.oneOf.0","typeLabel":"string"},{"type":"null","description":"Human-friendly number assigned to matter.","example":"FUS-124","uniqueKey":"number.oneOf.1","typeLabel":"null"}],"uniqueKey":"number","typeLabel":"string | null"},"matterTypeId":{"oneOf":[{"type":"string","description":"Unique identifier of the matter type associated with the matter.\r\n \r\nMatter types define what information can be saved to the matter, relevant to that area of law and state / location.\r\n \r\nA pre-configured list of matter types can be obtained via the 'GET /mattertypes' API.\r\n \r\n'Lead' matter types are different from the standard matter types used when creating a 'Matter'.\r\n \r\nUse the 'Type' query parameter in the 'GET /mattertypes' API call to get 'Lead' specific matter types.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"matterTypeId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the matter type associated with the matter.\r\n \r\nMatter types define what information can be saved to the matter, relevant to that area of law and state / location.\r\n \r\nA pre-configured list of matter types can be obtained via the 'GET /mattertypes' API.\r\n \r\n'Lead' matter types are different from the standard matter types used when creating a 'Matter'.\r\n \r\nUse the 'Type' query parameter in the 'GET /mattertypes' API call to get 'Lead' specific matter types.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"matterTypeId.oneOf.1","typeLabel":"null"}],"uniqueKey":"matterTypeId","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Brief description of the matter.","example":"This is a brief description for the matter","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Brief description of the matter.","example":"This is a brief description for the matter","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"status":{"oneOf":[{"type":"string","description":"Current status of matter.\r\n\r\nPossible values: Open, Pending, Closed, Deleted or Cancelled.","example":"Open","uniqueKey":"status.oneOf.0","typeLabel":"string"},{"type":"null","description":"Current status of matter.\r\n\r\nPossible values: Open, Pending, Closed, Deleted or Cancelled.","example":"Open","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"string | null"},"dateOpened":{"oneOf":[{"type":"string","description":"Date when the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"dateOpened.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date when the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"dateOpened.oneOf.1","typeLabel":"null"}],"uniqueKey":"dateOpened","typeLabel":"string\u003cdate-time> | null"},"openedDate":{"oneOf":[{"type":"string","description":"Date the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"openedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"openedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"openedDate","typeLabel":"string\u003cdate-time> | null"},"closedDate":{"oneOf":[{"type":"string","description":"Date the matter was closed. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"closedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the matter was closed. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"closedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"closedDate","typeLabel":"string\u003cdate-time> | null"},"leadOpenedDate":{"oneOf":[{"type":"string","description":"Date the lead was opened. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadOpenedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the lead was opened. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadOpenedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"leadOpenedDate","typeLabel":"string\u003cdate-time> | null"},"leadClosedDate":{"oneOf":[{"type":"string","description":"Date the lead was closed. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadClosedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the lead was closed. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadClosedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"leadClosedDate","typeLabel":"string\u003cdate-time> | null"},"leadClosedReason":{"oneOf":[{"type":"string","description":"Reason the lead was closed.\r\n\r\nOnly applies if isLead is true.","example":"No longer interested","uniqueKey":"leadClosedReason.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reason the lead was closed.\r\n\r\nOnly applies if isLead is true.","example":"No longer interested","uniqueKey":"leadClosedReason.oneOf.1","typeLabel":"null"}],"uniqueKey":"leadClosedReason","typeLabel":"string | null"},"referralType":{"oneOf":[{"type":"string","description":"Referral Type of the matter.\r\n\r\nPossible values are different per region.","example":"Google","uniqueKey":"referralType.oneOf.0","typeLabel":"string"},{"type":"null","description":"Referral Type of the matter.\r\n\r\nPossible values are different per region.","example":"Google","uniqueKey":"referralType.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralType","typeLabel":"string | null"},"referrerId":{"oneOf":[{"type":"string","description":"Contact id of the person that referred the matter.","example":"97bbe49f-6460-4bfc-b287-34ddfdbb81ef","uniqueKey":"referrerId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Contact id of the person that referred the matter.","example":"97bbe49f-6460-4bfc-b287-34ddfdbb81ef","uniqueKey":"referrerId.oneOf.1","typeLabel":"null"}],"uniqueKey":"referrerId","typeLabel":"string | null"},"referralAgreementFeeType":{"oneOf":[{"type":"string","description":"The referral agreement fee type.\r\n\r\nPossible values: %, Flat fee, Other","uniqueKey":"referralAgreementFeeType.oneOf.0","typeLabel":"string"},{"type":"null","description":"The referral agreement fee type.\r\n\r\nPossible values: %, Flat fee, Other","uniqueKey":"referralAgreementFeeType.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralAgreementFeeType","typeLabel":"string | null"},"referralAgreementFee":{"oneOf":[{"type":"number","description":"The referral agreement fee value.","format":"double","uniqueKey":"referralAgreementFee.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","description":"The referral agreement fee value.","format":"double","uniqueKey":"referralAgreementFee.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralAgreementFee","typeLabel":"number\u003cdouble> | null"},"referralAgreementFeeComment":{"oneOf":[{"type":"string","description":"The referral agreement fee comment.","uniqueKey":"referralAgreementFeeComment.oneOf.0","typeLabel":"string"},{"type":"null","description":"The referral agreement fee comment.","uniqueKey":"referralAgreementFeeComment.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralAgreementFeeComment","typeLabel":"string | null"},"personResponsibleStaffId":{"oneOf":[{"type":"string","description":"Staff id of the person responsible for the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personResponsibleStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the person responsible for the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personResponsibleStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"personResponsibleStaffId","typeLabel":"string | null"},"personAssistingStaffId":{"oneOf":[{"type":"string","description":"Staff id of the person assisting in the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personAssistingStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the person assisting in the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personAssistingStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"personAssistingStaffId","typeLabel":"string | null"},"personAssistingStaffIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"personAssistingStaffIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Staff ids of the other persons assisting in the matter (if applicable).","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"personAssistingStaffIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Staff ids of the other persons assisting in the matter (if applicable).","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"personAssistingStaffIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"personAssistingStaffIds","typeLabel":"string[] | null"},"originatingStaffId":{"oneOf":[{"type":"string","description":"Staff id of the originating attorney (if in US) or an Introducer (if in AU)","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"originatingStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the originating attorney (if in US) or an Introducer (if in AU)","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"originatingStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"originatingStaffId","typeLabel":"string | null"},"originatingStaffIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"originatingStaffIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Staff ids of the other originating attorneys (if in US) or an Introducer (if in AU)\r\n\r\nRequired when SplitOriginatingStaffSettings is provided and enabled.\r\nThis field must be included when updating SplitOriginatingStaffSettings.","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"originatingStaffIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Staff ids of the other originating attorneys (if in US) or an Introducer (if in AU)\r\n\r\nRequired when SplitOriginatingStaffSettings is provided and enabled.\r\nThis field must be included when updating SplitOriginatingStaffSettings.","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"originatingStaffIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"originatingStaffIds","typeLabel":"string[] | null"},"splitOriginatingStaffSettings":{"oneOf":[{"type":"object","description":"Settings for splitting originating staff members on a matter.\n\nWhen enabled, this allows distribution of originating staff responsibilities across multiple staff members\nusing either equal splits or custom ratios. The staff IDs specified in SplitMatterStaffs must exactly\nmatch the OriginatingStaffIds provided.\n\nOriginatingStaffIds must be included in the same request when updating these settings.\n\nValidation rules:\n- OriginatingStaffIds must be provided when this setting is enabled\n- Staff ratios must sum to 10000 (100%) when using UseRatio split method\n- RemainderStaffId must be one of the staff members in the SplitMatterStaffs collection\n- No duplicate staff members allowed","properties":{"isEnabled":{"type":"boolean","description":"Indicates whether the split matter staff settings are enabled or not.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.isEnabled","typeLabel":"boolean"},"splitMatterStaffs":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"matterStaffId":{"oneOf":[{"type":"string","description":"The unique identifier for the split matter staff.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier for the split matter staff.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffId","typeLabel":"string | null"},"matterStaffRatio":{"type":"integer","description":"The split ratio for the matter staff.","format":"int64","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffRatio","typeLabel":"integer\u003cint64>"}},"additionalProperties":false,"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"List of staff members involved in the split matter settings.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"matterStaffId":{"oneOf":[{"type":"string","description":"The unique identifier for the split matter staff."},{"type":"null","description":"The unique identifier for the split matter staff."}]},"matterStaffRatio":{"type":"integer","description":"The split ratio for the matter staff.","format":"int64"}},"additionalProperties":false},"description":"List of staff members involved in the split matter settings.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs","typeLabel":"object[] | null"},"splitMethod":{"oneOf":[{"type":"string","description":"Method used to split the matter staff.\r\n\r\nPossible values: Unknown, SplitEvenly, UseRatio.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMethod.oneOf.0","typeLabel":"string"},{"type":"null","description":"Method used to split the matter staff.\r\n\r\nPossible values: Unknown, SplitEvenly, UseRatio.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMethod.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMethod","typeLabel":"string | null"},"remainderStaffId":{"oneOf":[{"type":"string","description":"The unique identifier for the staff member who will handle the remainder of the matter after the split.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.remainderStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier for the staff member who will handle the remainder of the matter after the split.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.remainderStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.remainderStaffId","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"splitOriginatingStaffSettings.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"splitOriginatingStaffSettings.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings","typeLabel":"object | null"},"supervisorStaffId":{"oneOf":[{"type":"string","description":"Staff id of the supervisor of the matter.\r\n\r\nOnly supported in the UK.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"supervisorStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the supervisor of the matter.\r\n\r\nOnly supported in the UK.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"supervisorStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"supervisorStaffId","typeLabel":"string | null"},"clientCode":{"oneOf":[{"type":"string","description":"Associates an external client code to this matter.\r\n\r\nOnly supported in AU and UK.","example":"Client A","uniqueKey":"clientCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"Associates an external client code to this matter.\r\n\r\nOnly supported in AU and UK.","example":"Client A","uniqueKey":"clientCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"clientCode","typeLabel":"string | null"},"branchId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated branch.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated branch.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchId.oneOf.1","typeLabel":"null"}],"uniqueKey":"branchId","typeLabel":"string | null"},"branchProviderId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated branch provider.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchProviderId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated branch provider.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchProviderId.oneOf.1","typeLabel":"null"}],"uniqueKey":"branchProviderId","typeLabel":"string | null"},"clientRole":{"oneOf":[{"type":"string","description":"'Client' matter type representative option for the matter.\r\n\r\nRequired and only supported when converting a 'Lead' to 'Matter'.","example":"Buyer","uniqueKey":"clientRole.oneOf.0","typeLabel":"string"},{"type":"null","description":"'Client' matter type representative option for the matter.\r\n\r\nRequired and only supported when converting a 'Lead' to 'Matter'.","example":"Buyer","uniqueKey":"clientRole.oneOf.1","typeLabel":"null"}],"uniqueKey":"clientRole","typeLabel":"string | null"},"isLead":{"type":"boolean","description":"Optional boolean flag indicating if matter is a 'Lead'.\r\n \r\nThis must be set to 'false' when converting a 'Lead' to 'Matter'.","example":false,"uniqueKey":"isLead","typeLabel":"boolean"},"clientIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"clientIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"List of unique identifiers of 'Client' contacts associated with the matter.","uniqueKey":"clientIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"List of unique identifiers of 'Client' contacts associated with the matter.","uniqueKey":"clientIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"clientIds","typeLabel":"string[] | null"},"otherSideIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"otherSideIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"List of unique identifiers of 'OtherSide' contacts associated with the matter.","uniqueKey":"otherSideIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"List of unique identifiers of 'OtherSide' contacts associated with the matter.","uniqueKey":"otherSideIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"otherSideIds","typeLabel":"string[] | null"},"items":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contactId","typeLabel":"string | null"},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact","typeLabel":"object | null"},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.0","typeLabel":"string"},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].roleDescription","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"}]},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"}]},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"}]}},"additionalProperties":false},{"type":"null"}]},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."}]}},"additionalProperties":false},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties","typeLabel":"object[] | null"},"description":"Items associated with the matter.","uniqueKey":"\\items.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contactId","typeLabel":"string | null"},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact","typeLabel":"object | null"},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.0","typeLabel":"string"},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].roleDescription","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"}]},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"}]},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"}]}},"additionalProperties":false},{"type":"null"}]},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."}]}},"additionalProperties":false},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties","typeLabel":"object[] | null"},"description":"Items associated with the matter.","uniqueKey":"\\items.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"externalSystemId":"EXT01","number":"FUS-124","matterTypeId":"009f778f-83df-454a-b344-768a862a7e55","description":"This is a brief description for the matter","status":"Open","dateOpened":"2022-04-23T14:00:00Z","openedDate":"2022-04-23T14:00:00Z","closedDate":"2022-04-23T14:00:00Z","leadOpenedDate":"2022-04-23T14:00:00Z","leadClosedDate":"2022-04-23T14:00:00Z","leadClosedReason":"No longer interested","referralType":"Google","referrerId":"97bbe49f-6460-4bfc-b287-34ddfdbb81ef","referralAgreementFeeType":"\u003cstring>","referralAgreementFee":123,"referralAgreementFeeComment":"\u003cstring>","personResponsibleStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","personAssistingStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","personAssistingStaffIds":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"originatingStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","originatingStaffIds":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"splitOriginatingStaffSettings":{"isEnabled":true,"splitMatterStaffs":[{"matterStaffId":"\u003cstring>","matterStaffRatio":123}],"splitMethod":"\u003cstring>","remainderStaffId":"\u003cstring>"},"supervisorStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","clientCode":"Client A","branchId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","branchProviderId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","clientRole":"Buyer","isLead":false,"clientIds":["\u003cstring>"],"otherSideIds":["\u003cstring>"],"items":{}}}},"exampleType":"generated"},"application/json":{"schema":{"type":"object","properties":{"externalSystemId":{"oneOf":[{"type":"string","description":"External system id for the matter.","example":"EXT01","uniqueKey":"externalSystemId.oneOf.0","typeLabel":"string"},{"type":"null","description":"External system id for the matter.","example":"EXT01","uniqueKey":"externalSystemId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalSystemId","typeLabel":"string | null"},"number":{"oneOf":[{"type":"string","description":"Human-friendly number assigned to matter.","example":"FUS-124","uniqueKey":"number.oneOf.0","typeLabel":"string"},{"type":"null","description":"Human-friendly number assigned to matter.","example":"FUS-124","uniqueKey":"number.oneOf.1","typeLabel":"null"}],"uniqueKey":"number","typeLabel":"string | null"},"matterTypeId":{"oneOf":[{"type":"string","description":"Unique identifier of the matter type associated with the matter.\r\n \r\nMatter types define what information can be saved to the matter, relevant to that area of law and state / location.\r\n \r\nA pre-configured list of matter types can be obtained via the 'GET /mattertypes' API.\r\n \r\n'Lead' matter types are different from the standard matter types used when creating a 'Matter'.\r\n \r\nUse the 'Type' query parameter in the 'GET /mattertypes' API call to get 'Lead' specific matter types.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"matterTypeId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the matter type associated with the matter.\r\n \r\nMatter types define what information can be saved to the matter, relevant to that area of law and state / location.\r\n \r\nA pre-configured list of matter types can be obtained via the 'GET /mattertypes' API.\r\n \r\n'Lead' matter types are different from the standard matter types used when creating a 'Matter'.\r\n \r\nUse the 'Type' query parameter in the 'GET /mattertypes' API call to get 'Lead' specific matter types.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"matterTypeId.oneOf.1","typeLabel":"null"}],"uniqueKey":"matterTypeId","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Brief description of the matter.","example":"This is a brief description for the matter","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Brief description of the matter.","example":"This is a brief description for the matter","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"status":{"oneOf":[{"type":"string","description":"Current status of matter.\r\n\r\nPossible values: Open, Pending, Closed, Deleted or Cancelled.","example":"Open","uniqueKey":"status.oneOf.0","typeLabel":"string"},{"type":"null","description":"Current status of matter.\r\n\r\nPossible values: Open, Pending, Closed, Deleted or Cancelled.","example":"Open","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"string | null"},"dateOpened":{"oneOf":[{"type":"string","description":"Date when the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"dateOpened.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date when the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"dateOpened.oneOf.1","typeLabel":"null"}],"uniqueKey":"dateOpened","typeLabel":"string\u003cdate-time> | null"},"openedDate":{"oneOf":[{"type":"string","description":"Date the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"openedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the matter was opened. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"openedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"openedDate","typeLabel":"string\u003cdate-time> | null"},"closedDate":{"oneOf":[{"type":"string","description":"Date the matter was closed. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"closedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the matter was closed. This can be backdated if required.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"closedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"closedDate","typeLabel":"string\u003cdate-time> | null"},"leadOpenedDate":{"oneOf":[{"type":"string","description":"Date the lead was opened. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadOpenedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the lead was opened. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadOpenedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"leadOpenedDate","typeLabel":"string\u003cdate-time> | null"},"leadClosedDate":{"oneOf":[{"type":"string","description":"Date the lead was closed. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadClosedDate.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","description":"Date the lead was closed. This can be backdated if required.\r\n\r\nOnly applies if isLead is true.","format":"date-time","example":"2022-04-23T14:00:00Z","uniqueKey":"leadClosedDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"leadClosedDate","typeLabel":"string\u003cdate-time> | null"},"leadClosedReason":{"oneOf":[{"type":"string","description":"Reason the lead was closed.\r\n\r\nOnly applies if isLead is true.","example":"No longer interested","uniqueKey":"leadClosedReason.oneOf.0","typeLabel":"string"},{"type":"null","description":"Reason the lead was closed.\r\n\r\nOnly applies if isLead is true.","example":"No longer interested","uniqueKey":"leadClosedReason.oneOf.1","typeLabel":"null"}],"uniqueKey":"leadClosedReason","typeLabel":"string | null"},"referralType":{"oneOf":[{"type":"string","description":"Referral Type of the matter.\r\n\r\nPossible values are different per region.","example":"Google","uniqueKey":"referralType.oneOf.0","typeLabel":"string"},{"type":"null","description":"Referral Type of the matter.\r\n\r\nPossible values are different per region.","example":"Google","uniqueKey":"referralType.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralType","typeLabel":"string | null"},"referrerId":{"oneOf":[{"type":"string","description":"Contact id of the person that referred the matter.","example":"97bbe49f-6460-4bfc-b287-34ddfdbb81ef","uniqueKey":"referrerId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Contact id of the person that referred the matter.","example":"97bbe49f-6460-4bfc-b287-34ddfdbb81ef","uniqueKey":"referrerId.oneOf.1","typeLabel":"null"}],"uniqueKey":"referrerId","typeLabel":"string | null"},"referralAgreementFeeType":{"oneOf":[{"type":"string","description":"The referral agreement fee type.\r\n\r\nPossible values: %, Flat fee, Other","uniqueKey":"referralAgreementFeeType.oneOf.0","typeLabel":"string"},{"type":"null","description":"The referral agreement fee type.\r\n\r\nPossible values: %, Flat fee, Other","uniqueKey":"referralAgreementFeeType.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralAgreementFeeType","typeLabel":"string | null"},"referralAgreementFee":{"oneOf":[{"type":"number","description":"The referral agreement fee value.","format":"double","uniqueKey":"referralAgreementFee.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","description":"The referral agreement fee value.","format":"double","uniqueKey":"referralAgreementFee.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralAgreementFee","typeLabel":"number\u003cdouble> | null"},"referralAgreementFeeComment":{"oneOf":[{"type":"string","description":"The referral agreement fee comment.","uniqueKey":"referralAgreementFeeComment.oneOf.0","typeLabel":"string"},{"type":"null","description":"The referral agreement fee comment.","uniqueKey":"referralAgreementFeeComment.oneOf.1","typeLabel":"null"}],"uniqueKey":"referralAgreementFeeComment","typeLabel":"string | null"},"personResponsibleStaffId":{"oneOf":[{"type":"string","description":"Staff id of the person responsible for the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personResponsibleStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the person responsible for the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personResponsibleStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"personResponsibleStaffId","typeLabel":"string | null"},"personAssistingStaffId":{"oneOf":[{"type":"string","description":"Staff id of the person assisting in the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personAssistingStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the person assisting in the matter (if applicable).","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"personAssistingStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"personAssistingStaffId","typeLabel":"string | null"},"personAssistingStaffIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"personAssistingStaffIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Staff ids of the other persons assisting in the matter (if applicable).","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"personAssistingStaffIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Staff ids of the other persons assisting in the matter (if applicable).","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"personAssistingStaffIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"personAssistingStaffIds","typeLabel":"string[] | null"},"originatingStaffId":{"oneOf":[{"type":"string","description":"Staff id of the originating attorney (if in US) or an Introducer (if in AU)","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"originatingStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the originating attorney (if in US) or an Introducer (if in AU)","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"originatingStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"originatingStaffId","typeLabel":"string | null"},"originatingStaffIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"originatingStaffIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Staff ids of the other originating attorneys (if in US) or an Introducer (if in AU)\r\n\r\nRequired when SplitOriginatingStaffSettings is provided and enabled.\r\nThis field must be included when updating SplitOriginatingStaffSettings.","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"originatingStaffIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Staff ids of the other originating attorneys (if in US) or an Introducer (if in AU)\r\n\r\nRequired when SplitOriginatingStaffSettings is provided and enabled.\r\nThis field must be included when updating SplitOriginatingStaffSettings.","example":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"uniqueKey":"originatingStaffIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"originatingStaffIds","typeLabel":"string[] | null"},"splitOriginatingStaffSettings":{"oneOf":[{"type":"object","description":"Settings for splitting originating staff members on a matter.\n\nWhen enabled, this allows distribution of originating staff responsibilities across multiple staff members\nusing either equal splits or custom ratios. The staff IDs specified in SplitMatterStaffs must exactly\nmatch the OriginatingStaffIds provided.\n\nOriginatingStaffIds must be included in the same request when updating these settings.\n\nValidation rules:\n- OriginatingStaffIds must be provided when this setting is enabled\n- Staff ratios must sum to 10000 (100%) when using UseRatio split method\n- RemainderStaffId must be one of the staff members in the SplitMatterStaffs collection\n- No duplicate staff members allowed","properties":{"isEnabled":{"type":"boolean","description":"Indicates whether the split matter staff settings are enabled or not.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.isEnabled","typeLabel":"boolean"},"splitMatterStaffs":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"matterStaffId":{"oneOf":[{"type":"string","description":"The unique identifier for the split matter staff.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier for the split matter staff.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffId","typeLabel":"string | null"},"matterStaffRatio":{"type":"integer","description":"The split ratio for the matter staff.","format":"int64","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX].matterStaffRatio","typeLabel":"integer\u003cint64>"}},"additionalProperties":false,"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"List of staff members involved in the split matter settings.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"matterStaffId":{"oneOf":[{"type":"string","description":"The unique identifier for the split matter staff."},{"type":"null","description":"The unique identifier for the split matter staff."}]},"matterStaffRatio":{"type":"integer","description":"The split ratio for the matter staff.","format":"int64"}},"additionalProperties":false},"description":"List of staff members involved in the split matter settings.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMatterStaffs","typeLabel":"object[] | null"},"splitMethod":{"oneOf":[{"type":"string","description":"Method used to split the matter staff.\r\n\r\nPossible values: Unknown, SplitEvenly, UseRatio.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMethod.oneOf.0","typeLabel":"string"},{"type":"null","description":"Method used to split the matter staff.\r\n\r\nPossible values: Unknown, SplitEvenly, UseRatio.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMethod.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.splitMethod","typeLabel":"string | null"},"remainderStaffId":{"oneOf":[{"type":"string","description":"The unique identifier for the staff member who will handle the remainder of the matter after the split.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.remainderStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier for the staff member who will handle the remainder of the matter after the split.","uniqueKey":"splitOriginatingStaffSettings.oneOf.0.remainderStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings.oneOf.0.remainderStaffId","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"splitOriginatingStaffSettings.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"splitOriginatingStaffSettings.oneOf.1","typeLabel":"null"}],"uniqueKey":"splitOriginatingStaffSettings","typeLabel":"object | null"},"supervisorStaffId":{"oneOf":[{"type":"string","description":"Staff id of the supervisor of the matter.\r\n\r\nOnly supported in the UK.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"supervisorStaffId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Staff id of the supervisor of the matter.\r\n\r\nOnly supported in the UK.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"supervisorStaffId.oneOf.1","typeLabel":"null"}],"uniqueKey":"supervisorStaffId","typeLabel":"string | null"},"clientCode":{"oneOf":[{"type":"string","description":"Associates an external client code to this matter.\r\n\r\nOnly supported in AU and UK.","example":"Client A","uniqueKey":"clientCode.oneOf.0","typeLabel":"string"},{"type":"null","description":"Associates an external client code to this matter.\r\n\r\nOnly supported in AU and UK.","example":"Client A","uniqueKey":"clientCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"clientCode","typeLabel":"string | null"},"branchId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated branch.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated branch.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchId.oneOf.1","typeLabel":"null"}],"uniqueKey":"branchId","typeLabel":"string | null"},"branchProviderId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated branch provider.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchProviderId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated branch provider.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"branchProviderId.oneOf.1","typeLabel":"null"}],"uniqueKey":"branchProviderId","typeLabel":"string | null"},"clientRole":{"oneOf":[{"type":"string","description":"'Client' matter type representative option for the matter.\r\n\r\nRequired and only supported when converting a 'Lead' to 'Matter'.","example":"Buyer","uniqueKey":"clientRole.oneOf.0","typeLabel":"string"},{"type":"null","description":"'Client' matter type representative option for the matter.\r\n\r\nRequired and only supported when converting a 'Lead' to 'Matter'.","example":"Buyer","uniqueKey":"clientRole.oneOf.1","typeLabel":"null"}],"uniqueKey":"clientRole","typeLabel":"string | null"},"isLead":{"type":"boolean","description":"Optional boolean flag indicating if matter is a 'Lead'.\r\n \r\nThis must be set to 'false' when converting a 'Lead' to 'Matter'.","example":false,"uniqueKey":"isLead","typeLabel":"boolean"},"clientIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"clientIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"List of unique identifiers of 'Client' contacts associated with the matter.","uniqueKey":"clientIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"List of unique identifiers of 'Client' contacts associated with the matter.","uniqueKey":"clientIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"clientIds","typeLabel":"string[] | null"},"otherSideIds":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"otherSideIds.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"List of unique identifiers of 'OtherSide' contacts associated with the matter.","uniqueKey":"otherSideIds.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"List of unique identifiers of 'OtherSide' contacts associated with the matter.","uniqueKey":"otherSideIds.oneOf.1","typeLabel":"null"}],"uniqueKey":"otherSideIds","typeLabel":"string[] | null"},"items":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contactId","typeLabel":"string | null"},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].contact","typeLabel":"object | null"},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.0","typeLabel":"string"},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].roleDescription","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX].subItems","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"}]},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"}]},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"}]}},"additionalProperties":false},{"type":"null"}]},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."}]}},"additionalProperties":false},"uniqueKey":"\\items.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.0.additionalProperties","typeLabel":"object[] | null"},"description":"Items associated with the matter.","uniqueKey":"\\items.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].id","typeLabel":"string | null"},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contactId.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contactId","typeLabel":"string | null"},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0.id","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].contact","typeLabel":"object | null"},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.0","typeLabel":"string"},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].roleDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].roleDescription","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.0","typeLabel":"array"},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1.additionalProperties","typeLabel":"array | null"},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items.","uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX].subItems","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the matter item.","example":"009f778f-83df-454a-b344-768a862a7e55"}]},"contactId":{"oneOf":[{"type":"string","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"},{"type":"null","description":"Unique identifier of the associated contact.\r\n\r\nOnly applicable for 'role' matter items.","example":"c85d28cb-a760-4627-aa59-0a853c2e65ed"}]},"contact":{"oneOf":[{"type":"object","description":"Associated contact.\r\n\r\nOnly applicable for 'role' matter items.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"},{"type":"null","description":"Unique identifier of the contact.","example":"009f778f-83df-454a-b344-768a862a7e55"}]}},"additionalProperties":false},{"type":"null"}]},"roleDescription":{"oneOf":[{"type":"string","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Displayed name for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"description":{"oneOf":[{"type":"string","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."},{"type":"null","description":"Description for the matter item.\r\n \r\nOnly applicable for 'role' matter items."}]},"subItems":{"oneOf":[{"type":"object","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."},{"type":"null","additionalProperties":{"oneOf":[{"type":"array","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}},{"type":"null","items":{"$circularRef":"52b7069b-4785-43d4-b110-6c5b48681fe6"}}]},"description":"SubItems associated with the matter item.\r\n\r\nNot applicable for matter sub items."}]}},"additionalProperties":false},"uniqueKey":"\\items.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.oneOf.1.additionalProperties","typeLabel":"object[] | null"},"description":"Items associated with the matter.","uniqueKey":"\\items.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"externalSystemId":"EXT01","number":"FUS-124","matterTypeId":"009f778f-83df-454a-b344-768a862a7e55","description":"This is a brief description for the matter","status":"Open","dateOpened":"2022-04-23T14:00:00Z","openedDate":"2022-04-23T14:00:00Z","closedDate":"2022-04-23T14:00:00Z","leadOpenedDate":"2022-04-23T14:00:00Z","leadClosedDate":"2022-04-23T14:00:00Z","leadClosedReason":"No longer interested","referralType":"Google","referrerId":"97bbe49f-6460-4bfc-b287-34ddfdbb81ef","referralAgreementFeeType":"\u003cstring>","referralAgreementFee":123,"referralAgreementFeeComment":"\u003cstring>","personResponsibleStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","personAssistingStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","personAssistingStaffIds":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"originatingStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","originatingStaffIds":["c85d28cb-a760-4627-aa59-0a853c2e65ed"],"splitOriginatingStaffSettings":{"isEnabled":true,"splitMatterStaffs":[{"matterStaffId":"\u003cstring>","matterStaffRatio":123}],"splitMethod":"\u003cstring>","remainderStaffId":"\u003cstring>"},"supervisorStaffId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","clientCode":"Client A","branchId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","branchProviderId":"c85d28cb-a760-4627-aa59-0a853c2e65ed","clientRole":"Buyer","isLead":false,"clientIds":["\u003cstring>"],"otherSideIds":["\u003cstring>"],"items":{}}}},"exampleType":"generated"},"application/*+json":{"schema":{"type":"object","properties":{"externalSystemId":{"oneOf":[{"type":"string","description":"External system id for the matter.","example":"EXT01","uniqueKey":"externalSystemId.oneOf.0","typeLabel":"string"},{"type":"null","description":"External system id for the matter.","example":"EXT01","uniqueKey":"externalSystemId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalSystemId","typeLabel":"string | null"},"number":{"oneOf":[{"type":"string","description":"Human-friendly number assigned to matter.","example":"FUS-124","uniqueKey":"number.oneOf.0","typeLabel":"string"},{"type":"null","description":"Human-friendly number assigned to matter.","example":"FUS-124","uniqueKey":"number.oneOf.1","typeLabel":"null"}],"uniqueKey":"number","typeLabel":"string | null"},"matterTypeId":{"oneOf":[{"type":"string","description":"Unique identifier of the matter type associated with the matter.\r\n \r\nMatter types define what information can be saved to the matter, relevant to that area of law and state / location.\r\n \r\nA pre-configured list of matter types can be obtained via the 'GET /mattertypes' API.\r\n \r\n'Lead' matter types are different from the standard matter types used when creating a 'Matter'.\r\n \r\nUse the 'Type' query parameter in the 'GET /mattertypes' API call to get 'Lead' specific matter types.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"matterTypeId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier of the matter type associated with the matter.\r\n \r\nMatter types define what information can be saved to the matter, relevant to that area of law and state / location.\r\n \r\nA pre-configured list of matter types can be obtained via the 'GET /mattertypes' API.\r\n \r\n'Lead' matter types are different from the standard matter types used when creating a 'Matter'.\r\n \r\nUse the 'Type' query parameter in the 'GET /mattertypes' API call to get 'Lead' specific matter types.","example":"009f778f-83df-454a-b344-768a862a7e55","uniqueKey":"matterTypeId.oneOf.1","typeLabel":"null"}],"uniqueKey":"matterTypeId","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","description":"Brief description of the matter.","example":"This is a brief description for the matter","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Brief description of the matter.","example":"This is a brief description for the matter","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"status":{"oneOf":[{"type":"string","description":"Current status of matter.\r\n\r\nPossible values: Open, Pending, Closed, Deleted or Cancelled.","example":"Open","uniqueKey":"status.oneOf.0","typeLabel":"string"},{"type":"null","description":"Current statu
[...]
